var Node, ref$, parent, type, Assign;
Node = require('./Node');
ref$ = require('./symbols'), parent = ref$.parent, type = ref$.type;
Assign = module.exports = Object.create(Node);
Assign[type] = 'SmartAssign';
Assign.init = function(arg$){
  this.left = arg$.left, this.right = arg$.right;
};
Assign.traverseChildren = function(visitor, crossScopeBoundary){
  visitor(this.left);
  return visitor(this.right);
};
Assign.compile = function(o){
  return this.toSourceNode({
    parts: [this.left.compile(o), " = ", this.right.compile(o), this.terminator]
  });
};
Assign.terminator = ';';
//# sourceMappingURL=livescript/ast/Assign.js.map
