var Node, type, camelize, Identifier, this$ = this;
Node = require('./Node');
type = require('./symbols').type;
camelize = function(it){
  return it.replace(/-[a-z]/ig, function(it){
    return it.charAt(1).toUpperCase();
  });
};
Identifier = module.exports = Object.create(Node);
Identifier[type] = 'Identifier';
Identifier.init = function(arg$){
  this.name = arg$.name;
};
Identifier.traverseChildren = function(visitor, crossScopeBoundary){};
Identifier.compile = function(o){
  return this.toSourceNode({
    parts: [camelize(this.name)]
  });
};
Object.defineProperty(Identifier, 'value', {
  get: function(){
    return this.name;
  },
  configurable: true,
  enumerable: true
});
Identifier.isEmpty = function(){
  return false;
};
Identifier.getDefault = function(){};
Identifier.isAssignable = function(){
  return true;
};
Identifier.varName = function(){
  return this.name;
};
Identifier.unwrap = function(){
  return this;
};
Identifier.compileNode = function(){
  return this.compile();
};
//# sourceMappingURL=livescript/ast/Identifier.js.map
