var Node, ref$, parent, type, ObjectPattern, slice$ = [].slice, arrayFrom$ = Array.from || function(x){return slice$.call(x);};
Node = require('./Node');
ref$ = require('./symbols'), parent = ref$.parent, type = ref$.type;
ObjectPattern = module.exports = Object.create(Node);
ObjectPattern[type] = 'ObjectPattern';
ObjectPattern.init = function(arg$){
  this.items = arg$.items;
};
ObjectPattern.traverseChildren = function(visitor, crossScopeBoundary){
  var i$, ref$, len$, i, item, results$ = [];
  for (i$ = 0, len$ = (ref$ = this.items).length; i$ < len$; ++i$) {
    i = i$;
    item = ref$[i$];
    visitor(item, this, 'items', i);
  }
  for (i$ = 0, len$ = (ref$ = this.items).length; i$ < len$; ++i$) {
    item = ref$[i$];
    results$.push(item.traverseChildren(visitor, crossScopeBoundary));
  }
  return results$;
};
ObjectPattern.compile = function(o){
  var items, i$, ref$, len$, i;
  items = [];
  for (i$ = 0, len$ = (ref$ = this.items).length; i$ < len$; ++i$) {
    i = ref$[i$];
    items.push(i.compile(o));
    items.push(', ');
  }
  items.pop();
  return this.toSourceNode({
    parts: ["{ "].concat(arrayFrom$(items), [" }"])
  });
};
ObjectPattern.terminator = '';
//# sourceMappingURL=livescript/ast/ObjectPattern.js.map
