var Export, ref$, parent, type, ReExport;
Export = require('./Export');
ref$ = require('./symbols'), parent = ref$.parent, type = ref$.type;
ReExport = module.exports = Object.create(Export);
ReExport[type] = 'ReExport';
ReExport.init = function(arg$){
  this.names = arg$.names, this.sourceSpecifier = arg$.sourceSpecifier;
};
ReExport.traverseChildren = function(visitor, crossScopeBoundary){};
ReExport.compile = function(o){
  var names;
  names = this.names.length > 1
    ? " { " + this.names.join(',') + "} "
    : this.names.length === 1 ? " " + this.names[0] + " " : " ";
  return this.toSourceNode({
    parts: ["export" + names + "from ", this.sourceSpecifier.compile(o)]
  });
};
ReExport.terminator = ';';
//# sourceMappingURL=livescript/ast/ReExport.js.map
